%define oname Terminal
%define iconname %{oname}.png

Summary:		X Terminal Emulator
Name:			terminal
Version:		0.2.4
Release:		%mkrel 2
License:		GPL
URL:			http://www.os-cillation.com/
Source:			%{oname}-%{version}.tar.bz2
Patch:                Terminal-0.2.0-Makefile.ins-Help.patch.bz2
Group:			Terminals
BuildRoot:	%{_tmppath}/%{name}-buildrrot
Requires:		vte >= 0.11.0 
BuildRequires:		vte-devel >= 0.11.0
BuildRequires:		exo-devel >= 0.3.0
BuildRequires:		perl-XML-Parser
BuildRequires:		ImageMagick

%description
Advanced lightweight Terminal Emulator for the X windowing system.

%prep
%setup -q -n %{oname}-%{version}
%patch -p1 

%build
%configure2_5x --enable-nls
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 pixmaps/%{oname}.png %{buildroot}%{_liconsdir}/%{iconname}
convert pixmaps/%{oname}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert pixmaps/%{oname}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name} --disable-server" \
	icon="%{iconname}" \
	title="Terminal" \
	longtitle="X Terminal Emulator" \
	needs="x11" \
	section="System/Terminals"
EOF

%find_lang %{oname}

%post
%update_menus
 
%postun
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT

%files  -n %{name} -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS INSTALL COPYING AUTHORS HACKING THANKS
%{_bindir}/*
%{_datadir}/%{oname}/*
%{_datadir}/applications/*
%{_datadir}/doc/%{oname}/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/* 
%{_mandir}/man1/*.1*
%_menudir/*
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname  


%changelog
* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.2.4-2mdk
- buildrequires perl-XML-Parser, ImageMagick

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 0.2.4-1mdk
- 0.2.4
- %%mkrel

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.2.4-0.pre1.1mdk
- 0.2.4pre1

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Sat Dec 04 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- rebuild to use db4.3
